#include <nanobench.h>

#include "../src/loop_iterations.hpp"

int main() {
  ankerl::nanobench::Bench bench;
  bench.minEpochIterations(100000);
  bench.run("volatile loop to " + std::to_string(loop_iterations), [&] {
    for (volatile int i = 0; i < loop_iterations; i = i + 1)
      ;
  });

  return 0;
}
